! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.3 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : model_Parameters.f90
! Time                 : Wed Oct 28 11:54:56 2015
! Working directory    : /work/home/mje516/DSMACC_teaching
! Equation file        : model.kpp
! Output root filename : model
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE model_Parameters

  USE model_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 571 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 571 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 568 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 1 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 1805 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 572 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 5051 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 6331 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 572 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_EM_CO = 1 
  INTEGER, PARAMETER :: ind_EM_NO = 2 
  INTEGER, PARAMETER :: ind_EM_C2H6 = 3 
  INTEGER, PARAMETER :: ind_EM_C3H8 = 4 
  INTEGER, PARAMETER :: ind_EM_C3H6 = 5 
  INTEGER, PARAMETER :: ind_EM_NC4H10 = 6 
  INTEGER, PARAMETER :: ind_EM_C5H8 = 7 
  INTEGER, PARAMETER :: ind_SO3 = 8 
  INTEGER, PARAMETER :: ind_DUMMY = 9 
  INTEGER, PARAMETER :: ind_MAGIC = 10 
  INTEGER, PARAMETER :: ind_O1D = 11 
  INTEGER, PARAMETER :: ind_HSO3 = 12 
  INTEGER, PARAMETER :: ind_PROPALO = 13 
  INTEGER, PARAMETER :: ind_INB1HPCO2H = 14 
  INTEGER, PARAMETER :: ind_C510OH = 15 
  INTEGER, PARAMETER :: ind_INANCOCHO = 16 
  INTEGER, PARAMETER :: ind_HCOOH = 17 
  INTEGER, PARAMETER :: ind_CH3O2NO2 = 18 
  INTEGER, PARAMETER :: ind_C57OH = 19 
  INTEGER, PARAMETER :: ind_ISOPBOH = 20 
  INTEGER, PARAMETER :: ind_C58OH = 21 
  INTEGER, PARAMETER :: ind_N2O5 = 22 
  INTEGER, PARAMETER :: ind_PROPACID = 23 
  INTEGER, PARAMETER :: ind_IEPOXA = 24 
  INTEGER, PARAMETER :: ind_HOC4H8OH = 25 
  INTEGER, PARAMETER :: ind_INAOH = 26 
  INTEGER, PARAMETER :: ind_INCOH = 27 
  INTEGER, PARAMETER :: ind_HIEPOXB = 28 
  INTEGER, PARAMETER :: ind_ALLYLOH = 29 
  INTEGER, PARAMETER :: ind_BUTACID = 30 
  INTEGER, PARAMETER :: ind_INDOH = 31 
  INTEGER, PARAMETER :: ind_C524OH = 32 
  INTEGER, PARAMETER :: ind_ETHGLY = 33 
  INTEGER, PARAMETER :: ind_NC524OH = 34 
  INTEGER, PARAMETER :: ind_OCCOHCOH = 35 
  INTEGER, PARAMETER :: ind_HOC2H4CO2H = 36 
  INTEGER, PARAMETER :: ind_C2H6 = 37 
  INTEGER, PARAMETER :: ind_HO2C4OH = 38 
  INTEGER, PARAMETER :: ind_HOC3H6OH = 39 
  INTEGER, PARAMETER :: ind_HO2C3CO2H = 40 
  INTEGER, PARAMETER :: ind_C2OHOCO2H = 41 
  INTEGER, PARAMETER :: ind_ISOPDOH = 42 
  INTEGER, PARAMETER :: ind_BUT2OLOH = 43 
  INTEGER, PARAMETER :: ind_CH3OH = 44 
  INTEGER, PARAMETER :: ind_NBUTOLAOH = 45 
  INTEGER, PARAMETER :: ind_H2 = 46 
  INTEGER, PARAMETER :: ind_INB2O = 47 
  INTEGER, PARAMETER :: ind_HOCH2COCO2H = 48 
  INTEGER, PARAMETER :: ind_HOC3H6CO2H = 49 
  INTEGER, PARAMETER :: ind_HONO = 50 
  INTEGER, PARAMETER :: ind_C59O = 51 
  INTEGER, PARAMETER :: ind_IEPOXC = 52 
  INTEGER, PARAMETER :: ind_HMGLYOOA = 53 
  INTEGER, PARAMETER :: ind_MACO2H = 54 
  INTEGER, PARAMETER :: ind_IPROPOL = 55 
  INTEGER, PARAMETER :: ind_MGLYOOB = 56 
  INTEGER, PARAMETER :: ind_MGLYOOA = 57 
  INTEGER, PARAMETER :: ind_CH2OOG = 58 
  INTEGER, PARAMETER :: ind_CH2OOE = 59 
  INTEGER, PARAMETER :: ind_CH2OOC = 60 
  INTEGER, PARAMETER :: ind_BUT2OLAO = 61 
  INTEGER, PARAMETER :: ind_NOAOOA = 62 
  INTEGER, PARAMETER :: ind_C525O = 63 
  INTEGER, PARAMETER :: ind_HPNC524CO = 64 
  INTEGER, PARAMETER :: ind_HMVKBO = 65 
  INTEGER, PARAMETER :: ind_MEKCO = 66 
  INTEGER, PARAMETER :: ind_NC4H10 = 67 
  INTEGER, PARAMETER :: ind_C3H8 = 68 
  INTEGER, PARAMETER :: ind_HO1CO3C4O = 69 
  INTEGER, PARAMETER :: ind_H1CO23CHO = 70 
  INTEGER, PARAMETER :: ind_MVKO = 71 
  INTEGER, PARAMETER :: ind_HNC524CO = 72 
  INTEGER, PARAMETER :: ind_NC4OOA = 73 
  INTEGER, PARAMETER :: ind_A2PANO = 74 
  INTEGER, PARAMETER :: ind_MVKOHBO = 75 
  INTEGER, PARAMETER :: ind_MEKBO = 76 
  INTEGER, PARAMETER :: ind_NC3OOA = 77 
  INTEGER, PARAMETER :: ind_CH3CO2H = 78 
  INTEGER, PARAMETER :: ind_BUT2OL = 79 
  INTEGER, PARAMETER :: ind_NC2OOA = 80 
  INTEGER, PARAMETER :: ind_PERPROACID = 81 
  INTEGER, PARAMETER :: ind_CH3CO3H = 82 
  INTEGER, PARAMETER :: ind_IECCO3H = 83 
  INTEGER, PARAMETER :: ind_CH4 = 84 
  INTEGER, PARAMETER :: ind_NC524NO3 = 85 
  INTEGER, PARAMETER :: ind_IPRHOCO2H = 86 
  INTEGER, PARAMETER :: ind_INB1NBCO2H = 87 
  INTEGER, PARAMETER :: ind_C58NO3CO2H = 88 
  INTEGER, PARAMETER :: ind_INB1NACO2H = 89 
  INTEGER, PARAMETER :: ind_MVKOHAOOH = 90 
  INTEGER, PARAMETER :: ind_HOCHOCOOH = 91 
  INTEGER, PARAMETER :: ind_BUT2OLNO3 = 92 
  INTEGER, PARAMETER :: ind_IEPOXB = 93 
  INTEGER, PARAMETER :: ind_HMVKAOOH = 94 
  INTEGER, PARAMETER :: ind_C2OHOCOOH = 95 
  INTEGER, PARAMETER :: ind_INB1HPCO3H = 96 
  INTEGER, PARAMETER :: ind_C510OOH = 97 
  INTEGER, PARAMETER :: ind_HO2C3CO3H = 98 
  INTEGER, PARAMETER :: ind_MACO3H = 99 
  INTEGER, PARAMETER :: ind_HC4CCO2H = 100 
  INTEGER, PARAMETER :: ind_INCNCO2H = 101 
  INTEGER, PARAMETER :: ind_C57OOH = 102 
  INTEGER, PARAMETER :: ind_NBUTOLANO3 = 103 
  INTEGER, PARAMETER :: ind_HOC3H6CO3H = 104 
  INTEGER, PARAMETER :: ind_NISOPOOH = 105 
  INTEGER, PARAMETER :: ind_HMACO2H = 106 
  INTEGER, PARAMETER :: ind_CO2C3CO3H = 107 
  INTEGER, PARAMETER :: ind_IEACO3H = 108 
  INTEGER, PARAMETER :: ind_C57NO3CO2H = 109 
  INTEGER, PARAMETER :: ind_C3DIOLOOH = 110 
  INTEGER, PARAMETER :: ind_PERBUACID = 111 
  INTEGER, PARAMETER :: ind_HOC2H4CO3H = 112 
  INTEGER, PARAMETER :: ind_OCCOHCO = 113 
  INTEGER, PARAMETER :: ind_INAHPCO2H = 114 
  INTEGER, PARAMETER :: ind_INAHPCO3H = 115 
  INTEGER, PARAMETER :: ind_INAHCO2H = 116 
  INTEGER, PARAMETER :: ind_PRNO3CO2H = 117 
  INTEGER, PARAMETER :: ind_INANCO2H = 118 
  INTEGER, PARAMETER :: ind_INDHPCO3H = 119 
  INTEGER, PARAMETER :: ind_C58OOH = 120 
  INTEGER, PARAMETER :: ind_HO2NO2 = 121 
  INTEGER, PARAMETER :: ind_MVKOHANO3 = 122 
  INTEGER, PARAMETER :: ind_IBUTALOH = 123 
  INTEGER, PARAMETER :: ind_INB1HPCHO = 124 
  INTEGER, PARAMETER :: ind_CH3O = 125 
  INTEGER, PARAMETER :: ind_HMVKNGLYOX = 126 
  INTEGER, PARAMETER :: ind_NBUTOL = 127 
  INTEGER, PARAMETER :: ind_INAHCHO = 128 
  INTEGER, PARAMETER :: ind_IC3H7O = 129 
  INTEGER, PARAMETER :: ind_NC3H7O = 130 
  INTEGER, PARAMETER :: ind_HO1C4O = 131 
  INTEGER, PARAMETER :: ind_HO14CO2C4 = 132 
  INTEGER, PARAMETER :: ind_NPROPOL = 133 
  INTEGER, PARAMETER :: ind_INDHCHO = 134 
  INTEGER, PARAMETER :: ind_INDHPCHO = 135 
  INTEGER, PARAMETER :: ind_INAHPCHO = 136 
  INTEGER, PARAMETER :: ind_GLYOOB = 137 
  INTEGER, PARAMETER :: ind_C2H5OH = 138 
  INTEGER, PARAMETER :: ind_HO1C3O = 139 
  INTEGER, PARAMETER :: ind_INCO = 140 
  INTEGER, PARAMETER :: ind_ACO2H = 141 
  INTEGER, PARAMETER :: ind_CH3CHOOA = 142 
  INTEGER, PARAMETER :: ind_NBUTOLAO = 143 
  INTEGER, PARAMETER :: ind_C2H5O = 144 
  INTEGER, PARAMETER :: ind_C524CO = 145 
  INTEGER, PARAMETER :: ind_IEB1O = 146 
  INTEGER, PARAMETER :: ind_IPROPOLPER = 147 
  INTEGER, PARAMETER :: ind_HO1C3NO3 = 148 
  INTEGER, PARAMETER :: ind_CH2OOA = 149 
  INTEGER, PARAMETER :: ind_NISOPNO3 = 150 
  INTEGER, PARAMETER :: ind_NISOPO = 151 
  INTEGER, PARAMETER :: ind_IPRHOCO3H = 152 
  INTEGER, PARAMETER :: ind_INB1NBCHO = 153 
  INTEGER, PARAMETER :: ind_CH3OOH = 154 
  INTEGER, PARAMETER :: ind_PROPGLY = 155 
  INTEGER, PARAMETER :: ind_HO1C4NO3 = 156 
  INTEGER, PARAMETER :: ind_HOCH2CO2H = 157 
  INTEGER, PARAMETER :: ind_IEC2OOH = 158 
  INTEGER, PARAMETER :: ind_NC4H9OOH = 159 
  INTEGER, PARAMETER :: ind_INCCO = 160 
  INTEGER, PARAMETER :: ind_HO1C3OOH = 161 
  INTEGER, PARAMETER :: ind_MACRO = 162 
  INTEGER, PARAMETER :: ind_C525OOH = 163 
  INTEGER, PARAMETER :: ind_CH3COCO2H = 164 
  INTEGER, PARAMETER :: ind_HIEB1O = 165 
  INTEGER, PARAMETER :: ind_SC4H9NO3 = 166 
  INTEGER, PARAMETER :: ind_INB1HPPAN = 167 
  INTEGER, PARAMETER :: ind_NBUTOLBOOH = 168 
  INTEGER, PARAMETER :: ind_BUTALNO3 = 169 
  INTEGER, PARAMETER :: ind_NC3H7NO3 = 170 
  INTEGER, PARAMETER :: ind_GLYOOC = 171 
  INTEGER, PARAMETER :: ind_CH3NO3 = 172 
  INTEGER, PARAMETER :: ind_ISOPAOH = 173 
  INTEGER, PARAMETER :: ind_BIACET = 174 
  INTEGER, PARAMETER :: ind_HYPROPO = 175 
  INTEGER, PARAMETER :: ind_INB1NBCO3H = 176 
  INTEGER, PARAMETER :: ind_HYETHO2H = 177 
  INTEGER, PARAMETER :: ind_ETHOHNO3 = 178 
  INTEGER, PARAMETER :: ind_CO2N3CO3H = 179 
  INTEGER, PARAMETER :: ind_INB1NACHO = 180 
  INTEGER, PARAMETER :: ind_MACRNBPAN = 181 
  INTEGER, PARAMETER :: ind_IPROPOLO = 182 
  INTEGER, PARAMETER :: ind_INDHCO3H = 183 
  INTEGER, PARAMETER :: ind_BIACETOOH = 184 
  INTEGER, PARAMETER :: ind_IC3H7OOH = 185 
  INTEGER, PARAMETER :: ind_NBUTOLBNO3 = 186 
  INTEGER, PARAMETER :: ind_NC4H9NO3 = 187 
  INTEGER, PARAMETER :: ind_NO3CH2CO2H = 188 
  INTEGER, PARAMETER :: ind_IEB2O = 189 
  INTEGER, PARAMETER :: ind_HC4ACO2H = 190 
  INTEGER, PARAMETER :: ind_INB1GLYOX = 191 
  INTEGER, PARAMETER :: ind_INB1NACO3H = 192 
  INTEGER, PARAMETER :: ind_NC3H7OOH = 193 
  INTEGER, PARAMETER :: ind_C524NO3 = 194 
  INTEGER, PARAMETER :: ind_NO3CH2CO3H = 195 
  INTEGER, PARAMETER :: ind_ETHO2HNO3 = 196 
  INTEGER, PARAMETER :: ind_HO1C4OOH = 197 
  INTEGER, PARAMETER :: ind_IEC1O = 198 
  INTEGER, PARAMETER :: ind_PRNO3CO3H = 199 
  INTEGER, PARAMETER :: ind_HOCH2CO3H = 200 
  INTEGER, PARAMETER :: ind_PR2O2HNO3 = 201 
  INTEGER, PARAMETER :: ind_C2H5NO3 = 202 
  INTEGER, PARAMETER :: ind_MEKAOOH = 203 
  INTEGER, PARAMETER :: ind_INAHCO3H = 204 
  INTEGER, PARAMETER :: ind_HCOCOHCO3H = 205 
  INTEGER, PARAMETER :: ind_INB1O = 206 
  INTEGER, PARAMETER :: ind_CH3COCH2O = 207 
  INTEGER, PARAMETER :: ind_ACLOOA = 208 
  INTEGER, PARAMETER :: ind_INAO = 209 
  INTEGER, PARAMETER :: ind_INANCHO = 210 
  INTEGER, PARAMETER :: ind_HMVKBOOH = 211 
  INTEGER, PARAMETER :: ind_PR1O2HNO3 = 212 
  INTEGER, PARAMETER :: ind_HIEB2O = 213 
  INTEGER, PARAMETER :: ind_MEKANO3 = 214 
  INTEGER, PARAMETER :: ind_C59OOH = 215 
  INTEGER, PARAMETER :: ind_IC3H7NO3 = 216 
  INTEGER, PARAMETER :: ind_INCNCO3H = 217 
  INTEGER, PARAMETER :: ind_INANCO3H = 218 
  INTEGER, PARAMETER :: ind_PROLNO3 = 219 
  INTEGER, PARAMETER :: ind_SC4H9OOH = 220 
  INTEGER, PARAMETER :: ind_HC4CCO3H = 221 
  INTEGER, PARAMETER :: ind_H14CO23C4 = 222 
  INTEGER, PARAMETER :: ind_C2H5OOH = 223 
  INTEGER, PARAMETER :: ind_MACROOH = 224 
  INTEGER, PARAMETER :: ind_HMACO3H = 225 
  INTEGER, PARAMETER :: ind_H13CO2CO3H = 226 
  INTEGER, PARAMETER :: ind_INB1OH = 227 
  INTEGER, PARAMETER :: ind_CHOMOHCO3H = 228 
  INTEGER, PARAMETER :: ind_NC4CO2H = 229 
  INTEGER, PARAMETER :: ind_CO2N3CHO = 230 
  INTEGER, PARAMETER :: ind_HMGLOOA = 231 
  INTEGER, PARAMETER :: ind_MGLOOA = 232 
  INTEGER, PARAMETER :: ind_MACRNOOA = 233 
  INTEGER, PARAMETER :: ind_INCNCHO = 234 
  INTEGER, PARAMETER :: ind_MACROOA = 235 
  INTEGER, PARAMETER :: ind_IEAPAN = 236 
  INTEGER, PARAMETER :: ind_C57NO3PAN = 237 
  INTEGER, PARAMETER :: ind_ISOPDO = 238 
  INTEGER, PARAMETER :: ind_HCOC5 = 239 
  INTEGER, PARAMETER :: ind_ACRPAN = 240 
  INTEGER, PARAMETER :: ind_HMACROH = 241 
  INTEGER, PARAMETER :: ind_DNC524CO = 242 
  INTEGER, PARAMETER :: ind_IECPAN = 243 
  INTEGER, PARAMETER :: ind_C3PAN1 = 244 
  INTEGER, PARAMETER :: ind_MACROHO = 245 
  INTEGER, PARAMETER :: ind_MACRNBCO2H = 246 
  INTEGER, PARAMETER :: ind_MEKBOOH = 247 
  INTEGER, PARAMETER :: ind_GAOOB = 248 
  INTEGER, PARAMETER :: ind_C32OH13CO = 249 
  INTEGER, PARAMETER :: ind_PHAN = 250 
  INTEGER, PARAMETER :: ind_IPROPOLPAN = 251 
  INTEGER, PARAMETER :: ind_C58NO3PAN = 252 
  INTEGER, PARAMETER :: ind_C524O = 253 
  INTEGER, PARAMETER :: ind_C5PAN19 = 254 
  INTEGER, PARAMETER :: ind_C5PAN18 = 255 
  INTEGER, PARAMETER :: ind_C5PAN17 = 256 
  INTEGER, PARAMETER :: ind_HCOCH2O = 257 
  INTEGER, PARAMETER :: ind_ISOPCO = 258 
  INTEGER, PARAMETER :: ind_INCNPAN = 259 
  INTEGER, PARAMETER :: ind_HOCH2CH2O = 260 
  INTEGER, PARAMETER :: ind_MEKCOOH = 261 
  INTEGER, PARAMETER :: ind_C57O = 262 
  INTEGER, PARAMETER :: ind_ISOPBOOH = 263 
  INTEGER, PARAMETER :: ind_ACO3H = 264 
  INTEGER, PARAMETER :: ind_PPN = 265 
  INTEGER, PARAMETER :: ind_PAN = 266 
  INTEGER, PARAMETER :: ind_INDHPPAN = 267 
  INTEGER, PARAMETER :: ind_A2PAN = 268 
  INTEGER, PARAMETER :: ind_MVKOHAO = 269 
  INTEGER, PARAMETER :: ind_NC4CO3H = 270 
  INTEGER, PARAMETER :: ind_NC4H9O = 271 
  INTEGER, PARAMETER :: ind_C58NO3CO3H = 272 
  INTEGER, PARAMETER :: ind_INB1NAPAN = 273 
  INTEGER, PARAMETER :: ind_HYPERACET = 274 
  INTEGER, PARAMETER :: ind_HCOCOHPAN = 275 
  INTEGER, PARAMETER :: ind_CH3COCO3H = 276 
  INTEGER, PARAMETER :: ind_INB2OOH = 277 
  INTEGER, PARAMETER :: ind_C510O = 278 
  INTEGER, PARAMETER :: ind_HMVKAO = 279 
  INTEGER, PARAMETER :: ind_CO2C3PAN = 280 
  INTEGER, PARAMETER :: ind_CO2N3PAN = 281 
  INTEGER, PARAMETER :: ind_PBN = 282 
  INTEGER, PARAMETER :: ind_MEKAO = 283 
  INTEGER, PARAMETER :: ind_CHOMOHPAN = 284 
  INTEGER, PARAMETER :: ind_INDHPAN = 285 
  INTEGER, PARAMETER :: ind_INB1NBPAN = 286 
  INTEGER, PARAMETER :: ind_HOCO3C4OOH = 287 
  INTEGER, PARAMETER :: ind_HC4ACO3H = 288 
  INTEGER, PARAMETER :: ind_MVKOOH = 289 
  INTEGER, PARAMETER :: ind_C58O = 290 
  INTEGER, PARAMETER :: ind_BUT2OLOOH = 291 
  INTEGER, PARAMETER :: ind_OCCOHCOOH = 292 
  INTEGER, PARAMETER :: ind_MVKOHBOOH = 293 
  INTEGER, PARAMETER :: ind_C3DIOLO = 294 
  INTEGER, PARAMETER :: ind_C4PAN10 = 295 
  INTEGER, PARAMETER :: ind_NO3CH2PAN = 296 
  INTEGER, PARAMETER :: ind_PRNO3PAN = 297 
  INTEGER, PARAMETER :: ind_MACRNPAN = 298 
  INTEGER, PARAMETER :: ind_CHOCOHCO = 299 
  INTEGER, PARAMETER :: ind_ISOPAO = 300 
  INTEGER, PARAMETER :: ind_C4PAN1 = 301 
  INTEGER, PARAMETER :: ind_INANPAN = 302 
  INTEGER, PARAMETER :: ind_C4PAN5 = 303 
  INTEGER, PARAMETER :: ind_C4PAN6 = 304 
  INTEGER, PARAMETER :: ind_C4PAN3 = 305 
  INTEGER, PARAMETER :: ind_INANCO = 306 
  INTEGER, PARAMETER :: ind_INCGLYOX = 307 
  INTEGER, PARAMETER :: ind_C4M2ALOHNO3 = 308 
  INTEGER, PARAMETER :: ind_MVKOOA = 309 
  INTEGER, PARAMETER :: ind_HIEB1OOH = 310 
  INTEGER, PARAMETER :: ind_MACRNBCO3H = 311 
  INTEGER, PARAMETER :: ind_HCOCO2H = 312 
  INTEGER, PARAMETER :: ind_COHM2CO2H = 313 
  INTEGER, PARAMETER :: ind_HIEB2OOH = 314 
  INTEGER, PARAMETER :: ind_NC524OOH = 315 
  INTEGER, PARAMETER :: ind_BIACETO = 316 
  INTEGER, PARAMETER :: ind_INAHPPAN = 317 
  INTEGER, PARAMETER :: ind_IEB1OOH = 318 
  INTEGER, PARAMETER :: ind_CO2H3CO3H = 319 
  INTEGER, PARAMETER :: ind_HCOCH2OOH = 320 
  INTEGER, PARAMETER :: ind_IPROPOLO2H = 321 
  INTEGER, PARAMETER :: ind_NBUTOLAOOH = 322 
  INTEGER, PARAMETER :: ind_IEB2OOH = 323 
  INTEGER, PARAMETER :: ind_C57NO3CO3H = 324 
  INTEGER, PARAMETER :: ind_HMACROOH = 325 
  INTEGER, PARAMETER :: ind_HMACRO = 326 
  INTEGER, PARAMETER :: ind_INANCOCO2H = 327 
  INTEGER, PARAMETER :: ind_PROPOLNO3 = 328 
  INTEGER, PARAMETER :: ind_INAHPAN = 329 
  INTEGER, PARAMETER :: ind_MACRNCO3H = 330 
  INTEGER, PARAMETER :: ind_HMPAN = 331 
  INTEGER, PARAMETER :: ind_ISOPBO = 332 
  INTEGER, PARAMETER :: ind_HYPROPO2H = 333 
  INTEGER, PARAMETER :: ind_SC4H9O = 334 
  INTEGER, PARAMETER :: ind_C42AOH = 335 
  INTEGER, PARAMETER :: ind_MACRNCO2H = 336 
  INTEGER, PARAMETER :: ind_NBUTOLBO = 337 
  INTEGER, PARAMETER :: ind_GLYPAN = 338 
  INTEGER, PARAMETER :: ind_C3MDIALOH = 339 
  INTEGER, PARAMETER :: ind_BUTALO = 340 
  INTEGER, PARAMETER :: ind_ETHENO3O = 341 
  INTEGER, PARAMETER :: ind_INANCOCO3H = 342 
  INTEGER, PARAMETER :: ind_INCOOH = 343 
  INTEGER, PARAMETER :: ind_CL = 344 
  INTEGER, PARAMETER :: ind_ISOPCOOH = 345 
  INTEGER, PARAMETER :: ind_MACROHNO3 = 346 
  INTEGER, PARAMETER :: ind_INDOOH = 347 
  INTEGER, PARAMETER :: ind_IEACHO = 348 
  INTEGER, PARAMETER :: ind_INANCOPAN = 349 
  INTEGER, PARAMETER :: ind_BUTALO2H = 350 
  INTEGER, PARAMETER :: ind_MMALNACO2H = 351 
  INTEGER, PARAMETER :: ind_MMALNBCO2H = 352 
  INTEGER, PARAMETER :: ind_MACROHOOH = 353 
  INTEGER, PARAMETER :: ind_INAOOH = 354 
  INTEGER, PARAMETER :: ind_HO2C3CHO = 355 
  INTEGER, PARAMETER :: ind_CH2OOB = 356 
  INTEGER, PARAMETER :: ind_VGLYOX = 357 
  INTEGER, PARAMETER :: ind_HCOCO3H = 358 
  INTEGER, PARAMETER :: ind_COHM2CO3H = 359 
  INTEGER, PARAMETER :: ind_HO1CO3CHO = 360 
  INTEGER, PARAMETER :: ind_MEKCOH = 361 
  INTEGER, PARAMETER :: ind_HMVKNO3 = 362 
  INTEGER, PARAMETER :: ind_CH3COPAN = 363 
  INTEGER, PARAMETER :: ind_BUT2OLO = 364 
  INTEGER, PARAMETER :: ind_PRONO3BO = 365 
  INTEGER, PARAMETER :: ind_MVKOHAOH = 366 
  INTEGER, PARAMETER :: ind_PRONO3AO = 367 
  INTEGER, PARAMETER :: ind_O = 368 
  INTEGER, PARAMETER :: ind_INCNO3 = 369 
  INTEGER, PARAMETER :: ind_IEC1OOH = 370 
  INTEGER, PARAMETER :: ind_C524OOH = 371 
  INTEGER, PARAMETER :: ind_CH3C2H2O2 = 372 
  INTEGER, PARAMETER :: ind_IECCHO = 373 
  INTEGER, PARAMETER :: ind_MMALNBCO3H = 374 
  INTEGER, PARAMETER :: ind_NISOPO2 = 375 
  INTEGER, PARAMETER :: ind_INB1CO = 376 
  INTEGER, PARAMETER :: ind_ISOPDOOH = 377 
  INTEGER, PARAMETER :: ind_MEKAOH = 378 
  INTEGER, PARAMETER :: ind_HO1C4O2 = 379 
  INTEGER, PARAMETER :: ind_MEK = 380 
  INTEGER, PARAMETER :: ind_INDO = 381 
  INTEGER, PARAMETER :: ind_NMGLYOX = 382 
  INTEGER, PARAMETER :: ind_MMALNACO3H = 383 
  INTEGER, PARAMETER :: ind_MMALNBPAN = 384 
  INTEGER, PARAMETER :: ind_CH3COCH3 = 385 
  INTEGER, PARAMETER :: ind_INB1NO3 = 386 
  INTEGER, PARAMETER :: ind_COHM2PAN = 387 
  INTEGER, PARAMETER :: ind_INB1OOH = 388 
  INTEGER, PARAMETER :: ind_HMVKANO3 = 389 
  INTEGER, PARAMETER :: ind_ISOPAOOH = 390 
  INTEGER, PARAMETER :: ind_C58NO3 = 391 
  INTEGER, PARAMETER :: ind_C57O2 = 392 
  INTEGER, PARAMETER :: ind_HMACRO2 = 393 
  INTEGER, PARAMETER :: ind_MACRNB = 394 
  INTEGER, PARAMETER :: ind_NC524O = 395 
  INTEGER, PARAMETER :: ind_C59O2 = 396 
  INTEGER, PARAMETER :: ind_C525O2 = 397 
  INTEGER, PARAMETER :: ind_HOC3H6CHO = 398 
  INTEGER, PARAMETER :: ind_C510O2 = 399 
  INTEGER, PARAMETER :: ind_C3DIOLO2 = 400 
  INTEGER, PARAMETER :: ind_MPAN = 401 
  INTEGER, PARAMETER :: ind_H2O2 = 402 
  INTEGER, PARAMETER :: ind_CO2N3CO3 = 403 
  INTEGER, PARAMETER :: ind_INDHCO3 = 404 
  INTEGER, PARAMETER :: ind_EGLYOX = 405 
  INTEGER, PARAMETER :: ind_MMALNAPAN = 406 
  INTEGER, PARAMETER :: ind_INDHPCO3 = 407 
  INTEGER, PARAMETER :: ind_MVKOH = 408 
  INTEGER, PARAMETER :: ind_C57NO3 = 409 
  INTEGER, PARAMETER :: ind_BUT2OLO2 = 410 
  INTEGER, PARAMETER :: ind_MEKBO2 = 411 
  INTEGER, PARAMETER :: ind_HIEB2O2 = 412 
  INTEGER, PARAMETER :: ind_ETHENO3O2 = 413 
  INTEGER, PARAMETER :: ind_CHOPRNO3 = 414 
  INTEGER, PARAMETER :: ind_HO1C3O2 = 415 
  INTEGER, PARAMETER :: ind_CO23C4NO3 = 416 
  INTEGER, PARAMETER :: ind_CONM2CO2H = 417 
  INTEGER, PARAMETER :: ind_CO2C3CHO = 418 
  INTEGER, PARAMETER :: ind_MACROH = 419 
  INTEGER, PARAMETER :: ind_H13CO2CO3 = 420 
  INTEGER, PARAMETER :: ind_IECCO3 = 421 
  INTEGER, PARAMETER :: ind_IEACO3 = 422 
  INTEGER, PARAMETER :: ind_HCOCOHCO3 = 423 
  INTEGER, PARAMETER :: ind_CH3CHOHCO3 = 424 
  INTEGER, PARAMETER :: ind_HMVKAO2 = 425 
  INTEGER, PARAMETER :: ind_PRONO3BO2 = 426 
  INTEGER, PARAMETER :: ind_MEKCO2 = 427 
  INTEGER, PARAMETER :: ind_H13CO2C3 = 428 
  INTEGER, PARAMETER :: ind_ACO3B = 429 
  INTEGER, PARAMETER :: ind_HOC3H6CO3 = 430 
  INTEGER, PARAMETER :: ind_NC4OO = 431 
  INTEGER, PARAMETER :: ind_NC4CO3 = 432 
  INTEGER, PARAMETER :: ind_MVKOO = 433 
  INTEGER, PARAMETER :: ind_HMGLYOO = 434 
  INTEGER, PARAMETER :: ind_INB1HPCO3 = 435 
  INTEGER, PARAMETER :: ind_PRNO3CO3 = 436 
  INTEGER, PARAMETER :: ind_NOAOO = 437 
  INTEGER, PARAMETER :: ind_INANCO3 = 438 
  INTEGER, PARAMETER :: ind_NC3OO = 439 
  INTEGER, PARAMETER :: ind_CONM2CO3H = 440 
  INTEGER, PARAMETER :: ind_HOC2H4CHO = 441 
  INTEGER, PARAMETER :: ind_ISOPBO2 = 442 
  INTEGER, PARAMETER :: ind_INCO2 = 443 
  INTEGER, PARAMETER :: ind_BIACETO2 = 444 
  INTEGER, PARAMETER :: ind_NC524O2 = 445 
  INTEGER, PARAMETER :: ind_C58O2 = 446 
  INTEGER, PARAMETER :: ind_NBUTOLAO2 = 447 
  INTEGER, PARAMETER :: ind_HIEB1O2 = 448 
  INTEGER, PARAMETER :: ind_C3H7CHO = 449 
  INTEGER, PARAMETER :: ind_ISOPANO3 = 450 
  INTEGER, PARAMETER :: ind_HYPROPO2 = 451 
  INTEGER, PARAMETER :: ind_CH3CHOO = 452 
  INTEGER, PARAMETER :: ind_HO2C3CO3 = 453 
  INTEGER, PARAMETER :: ind_CONM2PAN = 454 
  INTEGER, PARAMETER :: ind_HCOCH2O2 = 455 
  INTEGER, PARAMETER :: ind_CO2H3CO3 = 456 
  INTEGER, PARAMETER :: ind_MVKOHBO2 = 457 
  INTEGER, PARAMETER :: ind_MGLOO = 458 
  INTEGER, PARAMETER :: ind_IEB1O2 = 459 
  INTEGER, PARAMETER :: ind_C3H7CO3 = 460 
  INTEGER, PARAMETER :: ind_C2H5CHO = 461 
  INTEGER, PARAMETER :: ind_COHM2CO3 = 462 
  INTEGER, PARAMETER :: ind_INAHCO3 = 463 
  INTEGER, PARAMETER :: ind_INAHPCO3 = 464 
  INTEGER, PARAMETER :: ind_CONM2CHO = 465 
  INTEGER, PARAMETER :: ind_INCNCO3 = 466 
  INTEGER, PARAMETER :: ind_IEC1O2 = 467 
  INTEGER, PARAMETER :: ind_BIACETOH = 468 
  INTEGER, PARAMETER :: ind_HO1CO3C4O2 = 469 
  INTEGER, PARAMETER :: ind_PRONO3AO2 = 470 
  INTEGER, PARAMETER :: ind_INB1NACO3 = 471 
  INTEGER, PARAMETER :: ind_MGLYOO = 472 
  INTEGER, PARAMETER :: ind_INB1NBCO3 = 473 
  INTEGER, PARAMETER :: ind_MVKOHAO2 = 474 
  INTEGER, PARAMETER :: ind_HMACO3 = 475 
  INTEGER, PARAMETER :: ind_HC4ACO3 = 476 
  INTEGER, PARAMETER :: ind_MACRNBCO3 = 477 
  INTEGER, PARAMETER :: ind_NOA = 478 
  INTEGER, PARAMETER :: ind_NBUTOLBO2 = 479 
  INTEGER, PARAMETER :: ind_IPRHOCO3 = 480 
  INTEGER, PARAMETER :: ind_HC4CCO3 = 481 
  INTEGER, PARAMETER :: ind_INDO2 = 482 
  INTEGER, PARAMETER :: ind_IEB2O2 = 483 
  INTEGER, PARAMETER :: ind_NC2OO = 484 
  INTEGER, PARAMETER :: ind_A2PANOO = 485 
  INTEGER, PARAMETER :: ind_H13CO2CHO = 486 
  INTEGER, PARAMETER :: ind_ACO3 = 487 
  INTEGER, PARAMETER :: ind_HMGLOO = 488 
  INTEGER, PARAMETER :: ind_GAOO = 489 
  INTEGER, PARAMETER :: ind_MACRO2 = 490 
  INTEGER, PARAMETER :: ind_IC3H7O2 = 491 
  INTEGER, PARAMETER :: ind_ACR = 492 
  INTEGER, PARAMETER :: ind_INANO3 = 493 
  INTEGER, PARAMETER :: ind_CO2C3CO3 = 494 
  INTEGER, PARAMETER :: ind_ACLOO = 495 
  INTEGER, PARAMETER :: ind_MACRNOO = 496 
  INTEGER, PARAMETER :: ind_HOCH2COCHO = 497 
  INTEGER, PARAMETER :: ind_MACROO = 498 
  INTEGER, PARAMETER :: ind_MEKAO2 = 499 
  INTEGER, PARAMETER :: ind_MMALNACO3 = 500 
  INTEGER, PARAMETER :: ind_HMVKBO2 = 501 
  INTEGER, PARAMETER :: ind_INB1O2 = 502 
  INTEGER, PARAMETER :: ind_MACROHO2 = 503 
  INTEGER, PARAMETER :: ind_CHOMOHCO3 = 504 
  INTEGER, PARAMETER :: ind_C2H5CO3 = 505 
  INTEGER, PARAMETER :: ind_C2H5O2 = 506 
  INTEGER, PARAMETER :: ind_ISOPDNO3 = 507 
  INTEGER, PARAMETER :: ind_CH3CHOHCHO = 508 
  INTEGER, PARAMETER :: ind_HO12CO3C4 = 509 
  INTEGER, PARAMETER :: ind_HMACR = 510 
  INTEGER, PARAMETER :: ind_HOC2H4CO3 = 511 
  INTEGER, PARAMETER :: ind_HCOCO3 = 512 
  INTEGER, PARAMETER :: ind_HOCH2CH2O2 = 513 
  INTEGER, PARAMETER :: ind_C2H4 = 514 
  INTEGER, PARAMETER :: ind_MACO3 = 515 
  INTEGER, PARAMETER :: ind_OCCOHCO2 = 516 
  INTEGER, PARAMETER :: ind_ISOPCO2 = 517 
  INTEGER, PARAMETER :: ind_IPROPOLO2 = 518 
  INTEGER, PARAMETER :: ind_GLYOO = 519 
  INTEGER, PARAMETER :: ind_NC4CHO = 520 
  INTEGER, PARAMETER :: ind_CH3COCO3 = 521 
  INTEGER, PARAMETER :: ind_INANCOCO3 = 522 
  INTEGER, PARAMETER :: ind_NO3CH2CO3 = 523 
  INTEGER, PARAMETER :: ind_CH3O2 = 524 
  INTEGER, PARAMETER :: ind_BUTALO2 = 525 
  INTEGER, PARAMETER :: ind_HNO3 = 526 
  INTEGER, PARAMETER :: ind_C524O2 = 527 
  INTEGER, PARAMETER :: ind_C5H8 = 528 
  INTEGER, PARAMETER :: ind_MVKO2 = 529 
  INTEGER, PARAMETER :: ind_ISOPCNO3 = 530 
  INTEGER, PARAMETER :: ind_C3H6 = 531 
  INTEGER, PARAMETER :: ind_HC4ACHO = 532 
  INTEGER, PARAMETER :: ind_HC4CCHO = 533 
  INTEGER, PARAMETER :: ind_MMALNBCO3 = 534 
  INTEGER, PARAMETER :: ind_CO2H3CHO = 535 
  INTEGER, PARAMETER :: ind_INB2O2 = 536 
  INTEGER, PARAMETER :: ind_NC3H7O2 = 537 
  INTEGER, PARAMETER :: ind_CH3COCH2O2 = 538 
  INTEGER, PARAMETER :: ind_C57NO3CO3 = 539 
  INTEGER, PARAMETER :: ind_CONM2CO3 = 540 
  INTEGER, PARAMETER :: ind_MACRNCO3 = 541 
  INTEGER, PARAMETER :: ind_ACETOL = 542 
  INTEGER, PARAMETER :: ind_SC4H9O2 = 543 
  INTEGER, PARAMETER :: ind_INAO2 = 544 
  INTEGER, PARAMETER :: ind_CO23C3CHO = 545 
  INTEGER, PARAMETER :: ind_NO3CH2CHO = 546 
  INTEGER, PARAMETER :: ind_NC4H9O2 = 547 
  INTEGER, PARAMETER :: ind_ISOPAO2 = 548 
  INTEGER, PARAMETER :: ind_C58NO3CO3 = 549 
  INTEGER, PARAMETER :: ind_MGLYOX = 550 
  INTEGER, PARAMETER :: ind_ISOPBNO3 = 551 
  INTEGER, PARAMETER :: ind_MACRNO3 = 552 
  INTEGER, PARAMETER :: ind_ISOPDO2 = 553 
  INTEGER, PARAMETER :: ind_CH2OO = 554 
  INTEGER, PARAMETER :: ind_HCHO = 555 
  INTEGER, PARAMETER :: ind_MACR = 556 
  INTEGER, PARAMETER :: ind_GLYOX = 557 
  INTEGER, PARAMETER :: ind_HOCH2CO3 = 558 
  INTEGER, PARAMETER :: ind_MVKNO3 = 559 
  INTEGER, PARAMETER :: ind_HOCH2CHO = 560 
  INTEGER, PARAMETER :: ind_CH3CO3 = 561 
  INTEGER, PARAMETER :: ind_CH3CHO = 562 
  INTEGER, PARAMETER :: ind_HO2 = 563 
  INTEGER, PARAMETER :: ind_NO2 = 564 
  INTEGER, PARAMETER :: ind_SO2 = 565 
  INTEGER, PARAMETER :: ind_O3 = 566 
  INTEGER, PARAMETER :: ind_NO3 = 567 
  INTEGER, PARAMETER :: ind_NO = 568 
  INTEGER, PARAMETER :: ind_MVK = 569 
  INTEGER, PARAMETER :: ind_CO = 570 
  INTEGER, PARAMETER :: ind_OH = 571 

! Index declaration for fixed species in C
!   C(ind_spc)


! Index declaration for dummy species

  INTEGER, PARAMETER :: ind_H = 0 
  INTEGER, PARAMETER :: ind_O2 = 0 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)


END MODULE model_Parameters

